
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Generates exheres for perl modules",
  "AUTHOR" => "William Orr <will\@worrbase.com>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.3601"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "Module::Build" => "0.3601"
  },
  "DISTNAME" => "Exherbo-Packager",
  "EXE_FILES" => [
    "bin/ex-packer"
  ],
  "LICENSE" => "mit",
  "NAME" => "Exherbo::Packager",
  "PREREQ_PM" => {
    "DateTime" => 0,
    "File::Copy" => 0,
    "Getopt::Long" => 0,
    "MetaCPAN::API" => 0,
    "Ouch" => 0,
    "Pod::Usage" => 0,
    "Test::More" => 0,
    "YAML::Any" => 0
  },
  "VERSION" => "1.122480",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



